package basic.logic;

import java.util.List;

public interface GameLogic {
	public State initState();
	public List<Role> getRoles();
	public State nextState(State current, Move roles);
	public List<Move> legal(State current);
	public int[] goal(State current);
	public boolean isTerminal (State current);
	public int findIndex(Role playerRole); 
	public void destroy();
	//public List<Role> getPlayerList();
}
