package basic.ai.mcts;

import basic.ai.Node;

public class DefaultBackpropagation implements Backpropagation {

	@Override
	public void backup(Node node, int reward) {
		while (node != null) {
			node.addReward(reward);
			node = node.getParent();
		}

	}

}
